<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class WelcomeMail extends Mailable
{
    use Queueable, SerializesModels;

    public $details;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        $this->details = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $email = \DB::table('email_template')->first();
        $subject = str_replace("[nama_member]",$this->details['nama_member'],$email->welcome_subject);
        return $this->subject('Hello '.$this->details['nama_member'].'! Welcome to Coffee Toffee Membership - Verify Your Email')
                    ->view('email.welcome-mail')
                    ->with([
                        'name' => $this->details['nama_member'],
                        'confirm' => $this->details['confirm'],
                        'body' => $email->body
                    ])->attach(public_path('assets/picture/'.$email->welcome_attach));
    }
}
